<?php
/*
# ------------------------------------------------------------------------
# JA T3v2 Plugin - Template framework for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - GNU/GPL V2, http://www.gnu.org/licenses/gpl2.html. For details 
# on licensing, Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/
?>

	<?php $this->genBlockBegin ($block) ?>
	
	<?php
	$app = & JFactory::getApplication();
	$siteName = $app->getCfg('sitename');
	if ($this->getParam('logoType', 'image')=='image'): ?>
	<h1 class="logo">
		<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
	</h1>
	<?php else:
	$logoText = (trim($this->getParam('logoText'))=='') ? $siteName : JText::_(trim($this->getParam('logoText')));
	$sloganText = JText::_(trim($this->getParam('sloganText'))); ?>
	<div class="logo-text">
		<h1><a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $logoText; ?></span></a></h1>
		<p class="site-slogan"><?php echo $sloganText;?></p>
	</div>
	<?php endif; ?>
	
	<ul class="no-display">
    <li><a href="<?php echo $this->getCurrentURL();?>#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?>	</a></li>
	</ul>

	<div id="ja-mainnav">
	<?php if (($jamenu = $this->loadMenu())) $jamenu->genMenu (); ?>
	
	<!-- jdoc:include type="menu" level="0" / -->
    <div id="paddingicons"><?php if($this->countModules('social')) : ?>
    <div class="social">
    	<jdoc:include type="modules" name="social" />
    </div>
    <?php endif; ?></div>
    <div id="paddingsearch">
						<div class="ja-box-ct clearfix">
		<form method="post" action="index.php">
	<div class="search">
		<input type="text" onfocus="if(this.value=='Search...') this.value='';" onblur="if(this.value=='') this.value='Search...';" value="Search..." size="20" class="inputbox" alt="Go" maxlength="20" id="mod_search_searchword" name="searchword"><input type="submit" onclick="this.form.searchword.focus();" class="button" value="Go">	</div>
	<input type="hidden" value="search" name="task">
	<input type="hidden" value="com_search" name="option">
	<input type="hidden" value="649" name="Itemid">
</form>		</div>
	  </div>
	<?php if ($this->hasSubmenu() && ($jamenu = $this->loadMenu())) : ?>
	<div id="ja-subnav" class="clearfix">
	<?php $jamenu->genMenu (1); ?>
	<!-- jdoc:include type="menu" level="1" / -->
    </div>
    
	<?php endif;?>		
    </div>
    
	<?php $this->genBlockEnd ($block) ?>
	
	<div id="ja-image-spikes" class="clearfix"></div>