<?php
/*
 *      default.php
 *      
 *      Copyright 2009 Michael Gyen <GyenMic@autartica.be>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); 
require_once (JPATH_COMPONENT.DS.'utils/autarticaptcha.php');
require_once (JPATH_COMPONENT.DS.'utils/autarticahelper.php');
JHTML::stylesheet('autartimonial.css','components/com_autartimonial/css/',array('media'=>'all'));
JHTML::_('behavior.modal');
$nombre = $this->params->nb_testi;
$total=$this->total;
// si limite n'existe pas on l'initialise à zéro
$limite=JRequest::getVar('limit');	
if (!$limite) $limite = 0; 

// on cherche le nom de la page.    

$path_parts = pathinfo($_SERVER['PHP_SELF']);

$page = $path_parts["basename"];
?>
<a class="modal" href="index.php?option=com_autartimonial&task=modalview" rel="{handler: 'iframe', size: {x: <?php echo ($this->params->modal_width); ?>, y: <?php echo ($this->params->modal_heigth); ?>}}"><?php echo (JText::_( 'ADD_TESTIMONIAL' ));echo "&nbsp;".JHTML::_('image','images/autartimonial/plus.png','','style="border:none;"'); ?></a>

<br/>
<?php 
foreach ($this->rows as $row) {	
	$website=$row->website;
	
	if(strrpos($website, "http://")==false){	
		$website="http://".$website;	
	}
	if ($this->params->use_blockquote==1){
	?>	
	<blockquote class="autartiblockquote"><p><?php echo ($row->comment); ?></p><?php if ($this->params->see_endquote==1){echo JHTML::_('image','images/autartimonial//PostQuoteInverted.png','','style="float:right;vertical-align: top;border:none;"'); }?></blockquote>
	<?php }else{?>
	<div class="autartitestimonial"><p><?php echo ($row->comment); if ($this->params->see_endquote==1){echo JHTML::_('image','images/autartimonial//PostQuoteInverted.png','','style="float:right;vertical-align: top;border:none;"'); }?></p></div>	
	<?php }?>
	<div class="autartitestimonialinfos">	
			<?php if ($this->params->see_testi_date==1){?><br/><?php echo date("d/m/Y", strtotime($row->testi_date));} ?>
			<br/><?php echo $row->firstname; ?>&nbsp;<?php echo ($row->lastname); ?>	
			<?php if ($this->params->see_about==1){?><br/><?php echo ($row->about); }?>
			<?php if ($this->params->see_location==1){?><br/><?php echo ($row->location); }?>	
			<?php if ($this->params->see_email==1){?><br/><?php echo ($row->email); }?>		
			<?php if ($this->params->see_website==1){?><br/><a href="<?php echo ($website); ?>" target="_blank"><?php echo ($row->website); }?></a>	
	</div>
	<hr class="autartimonialhr"/>	
	<?php
}
	// affichage des liens vers les pages
	AutarticaHelper::viewPages($nombre,$page,$total);

    // affichage des boutons
    AutarticaHelper::displayNextPreviousButtons($limite,$total,$nombre,$page);

?>

<br/>
<a class="modal" href="index.php?option=com_autartimonial&task=modalview" rel="{handler: 'iframe', size: {x: 800, y: 600}}"><?php echo (JText::_( 'ADD_TESTIMONIAL' ));echo "&nbsp;".JHTML::_('image','images/autartimonial/plus.png','','style="border:none;"'); ?></a>
